package com.ruoyi.wx.web.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class WxUserVo {
    /** 用户名称 */
    @Excel(name = "用户名称")
    private String username;

    /** 用户层级 0 普通用户，1 VIP用户 */
    @Excel(name = "用户层级 0 普通用户，1 VIP用户")
    private Long userLevel;

    /** 性别：0 未知， 1男， 1 女 */
    @Excel(name = "性别：0 未知， 1男， 1 女")
    private Long gender;

    /** 微信登录openid */
    @Excel(name = "微信登录openid")
    private String wxOpenid;

    /** 积分 */
    @Excel(name = "积分")
    private Long points;

    /** 会员开始充值时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会员开始充值时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date vipStartTime;

    /** 会员结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会员结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date vipEndTime;

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Long getUserLevel() {
        return userLevel;
    }

    public void setUserLevel(Long userLevel) {
        this.userLevel = userLevel;
    }

    public Long getGender() {
        return gender;
    }

    public void setGender(Long gender) {
        this.gender = gender;
    }

    public String getWxOpenid() {
        return wxOpenid;
    }

    public void setWxOpenid(String wxOpenid) {
        this.wxOpenid = wxOpenid;
    }

    public Long getPoints() {
        return points;
    }

    public void setPoints(Long points) {
        this.points = points;
    }

    public Date getVipStartTime() {
        return vipStartTime;
    }

    public void setVipStartTime(Date vipStartTime) {
        this.vipStartTime = vipStartTime;
    }

    public Date getVipEndTime() {
        return vipEndTime;
    }

    public void setVipEndTime(Date vipEndTime) {
        this.vipEndTime = vipEndTime;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("WxUserVo{");
        sb.append("username='").append(username).append('\'');
        sb.append(", userLevel=").append(userLevel);
        sb.append(", gender=").append(gender);
        sb.append(", wxOpenid='").append(wxOpenid).append('\'');
        sb.append(", points=").append(points);
        sb.append(", vipStartTime=").append(vipStartTime);
        sb.append(", vipEndTime=").append(vipEndTime);
        sb.append('}');
        return sb.toString();
    }
}
